/***************************************************************************
                          colorDg.h  -  description
                             -------------------

		This class handles the Merge output dialog		     

        Version         : $Id: mergeDg.h,v 1.3 2000/05/12 22:18:58 philippe Exp $
	Begin           : Mon Oct 25 21:37:42 CEST 1999 
        Copyright       : (C) 1999 by Philippe Fremy
        E-mail          : pfremy@chez.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MERGEDIALOG_H 
#define MERGEDIALOG_H 


// Qt include files
#include <qdialog.h>
#include <qlabel.h>
#include <qlineedit.h>

// Kde include files


class KmergeOutputDg: public QDialog
{
	Q_OBJECT

public:
	KmergeOutputDg(QWidget * parent, const QString & leftFile, const QString & rightFile, const QString & mergeDir);
	~KmergeOutputDg();

	QString fileName;

protected slots:
	void ok();
	void cancel();
	
	void leftButPressed();
	void rightButPressed();
	void openButPressed();

protected:
	QLineEdit * labFile;
	QString leftName;
	QString rightName;
	QString dir;

};


#endif // MERGEDIALOG_H 



