/***************************************************************************
                          kmconfig.h  -  description
                             -------------------

		Holds the configuration structure.

        Version         : $Id: kmconfig.h,v 1.2 2000/05/04 22:00:21 philippe Exp $
        Begin           : Thu May  4 12:14:35 MEST 2000
        Copyright       : (C) 2000 by Philippe Fremy
        E-mail          : pfremy@chez.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KMCONFIG_H
#define KMCONFIG_H

#include <qcolor.h>
#include <qfont.h>
#include <qstring.h>

class kmWidget;
class kFileDiff;
class kDiffIO;

typedef struct {
        QColor norFgCol;
        QColor norBgCol;
        QColor addFgCol;
        QColor addBgCol;
        QColor chgFgCol;
        QColor chgBgCol;
        QColor delFgCol;
        QColor delBgCol;
        QFont font;

        bool showLineNr;
        bool viewDiffOnly;

        bool ignoreCase;
        bool ignoreBlankLines;
        bool ignoreAllSpaces;
        bool ignoreSpaces;
        bool ignoreRegExpLines;
        QString ignoreRegExp;

        bool minimalDifferences;
        bool speedLargeFiles;

	bool customizeDiff;
	QString customExp;
} kmConfig;

extern kmConfig * kmergeCfg;

#endif // KMCONFIG_H
